Functions
Functions
Peripheral Driver » LL Driver » ADVS

## Functions
__STATIC_INLINE void | ll_advs_dcdc_vtbias_enable_set (uint8_t enable)
| The ADVS_DCDC vtbias enable set. More...
__STATIC_INLINE uint8_t | ll_advs_dcdc_vtbias_enable_get (void)
| The ADVS_DCDC vtbias enable get. More...
__STATIC_INLINE void | ll_advs_dcdc_blk_enable_set (uint8_t enable)
| The ADVS_DCDC blk enable set. More...
__STATIC_INLINE uint8_t | ll_advs_dcdc_blk_enable_get (void)
| The ADVS_DCDC blk enable get. More...
__STATIC_INLINE void | ll_advs_dcdc_vtbias_slop_ctrl_set (uint8_t type)
| The ADVS_DCDC's Slop Control type set. More...
__STATIC_INLINE uint8_t | ll_advs_dcdc_vtbias_slop_ctrl_get (void)
| The ADVS_DCDC's Slop Control type get. More...
__STATIC_INLINE void | ll_advs_dcdc_limiter_enable_set (uint8_t enable)
| The ADVS_DCDC's Lower Limit Control enable set. More...
__STATIC_INLINE uint8_t | ll_advs_dcdc_limiter_enable_get (void)
| The ADVS_DCDC's Lower Limit Control enable get. More...
__STATIC_INLINE void | ll_advs_dcdc_vtbias_ctrl_vt_set (uint8_t vt)
| The ADVS_DCDC's default level value of the VT bias set. More...
__STATIC_INLINE uint8_t | ll_advs_dcdc_vtbias_ctrl_vt_get (void)
| The ADVS_DCDC's default level value of the VT bias get. More...
__STATIC_INLINE void | ll_advs_dcdc_vtbias_ctrl_lower_limit_set (uint8_t limit)
| The ADVS_DCDC's lower limit for the output voltage set. More...
__STATIC_INLINE uint8_t | ll_advs_dcdc_vtbias_ctrl_lower_limit_get (void)
| The ADVS_DCDC's lower limit for the output voltage get. More...
__STATIC_INLINE void | ll_advs_lpd_vtbias_enable_set (uint8_t enable)
| The ADVS_LPD vtbias enable set. More...
__STATIC_INLINE uint8_t | ll_advs_lpd_vtbias_enable_get (void)
| The ADVS_LPD vtbias enable get. More...
__STATIC_INLINE void | ll_advs_lpd_vtbias_ctrl_vt_set (uint8_t vt)
| The ADVS_LPD's default level value of the VT bias set. More...
__STATIC_INLINE uint8_t | ll_advs_lpd_vtbias_ctrl_vt_get (void)
| The ADVS_LPD's default level value of the VT bias get. More...
__STATIC_INLINE void | ll_advs_digcore_vtbias_enable_set (uint8_t enable)
| The ADVS_DIGCORE vtbias enable set. More...
__STATIC_INLINE uint8_t | ll_advs_digcore_vtbias_enable_get (void)
| The ADVS_DIGCORE vtbias enable get. More...
__STATIC_INLINE void | ll_advs_digcore_blk_enable_set (uint8_t enable)
| The ADVS_DIGCORE blk enable set. More...
__STATIC_INLINE uint8_t | ll_advs_digcore_blk_enable_get (void)
| The ADVS_DIGCORE blk enable get. More...
__STATIC_INLINE void | ll_advs_digcore_vtbias_slop_ctrl_set (uint8_t type)
| The ADVS_DIGCORE's Slop Control type set. More...
__STATIC_INLINE uint8_t | ll_advs_digcore_vtbias_slop_ctrl_get (void)
| The ADVS_DIGCORE's Slop Control type get. More...
__STATIC_INLINE void | ll_advs_digcore_limiter_enable_set (uint8_t enable)
| The ADVS_DIGCORE's Lower Limit Control enable set. More...
__STATIC_INLINE uint8_t | ll_advs_digcore_limiter_enable_get (void)
| The ADVS_DIGCORE's Lower Limit Control enable get. More...
__STATIC_INLINE void | ll_advs_digcore_vtbias_ctrl_vt_set (uint8_t vt)
| The ADVS_DIGCORE's default level value of the VT bias set. More...
__STATIC_INLINE uint8_t | ll_advs_digcore_vtbias_ctrl_vt_get (void)
| The ADVS_DIGCORE's default level value of the VT bias get. More...
__STATIC_INLINE void | ll_advs_digcore_vtbias_ctrl_lower_limit_set (uint8_t limit)
| The ADVS_DIGCORE's lower limit for the output voltage set. More...
__STATIC_INLINE uint8_t | ll_advs_digcore_vtbias_ctrl_lower_limit_get (void)
| The ADVS_DIGCORE's lower limit for the output voltage get. More...

## Detailed Description

## Function Documentation

## ◆ ll_advs_dcdc_blk_enable_get()

__STATIC_INLINE uint8_t ll_advs_dcdc_blk_enable_get | ( | void |  | ) |

The ADVS_DCDC blk enable get.

Register|BitsName --------|-------- ADVS_DCDC | EN_BLK

Definition at line 142 of file gr533x_ll_advs.h.

## ◆ ll_advs_dcdc_blk_enable_set()

__STATIC_INLINE void ll_advs_dcdc_blk_enable_set | ( | uint8_t | enable | ) |

The ADVS_DCDC blk enable set.

Register|BitsName --------|-------- ADVS_DCDC | EN_BLK

Definition at line 130 of file gr533x_ll_advs.h.

## ◆ ll_advs_dcdc_limiter_enable_get()

__STATIC_INLINE uint8_t ll_advs_dcdc_limiter_enable_get | ( | void |  | ) |

The ADVS_DCDC's Lower Limit Control enable get.

Register|BitsName --------|-------- ADVS_DCDC | EN_LIMITER

Definition at line 190 of file gr533x_ll_advs.h.

## ◆ ll_advs_dcdc_limiter_enable_set()

__STATIC_INLINE void ll_advs_dcdc_limiter_enable_set | ( | uint8_t | enable | ) |

The ADVS_DCDC's Lower Limit Control enable set.

Register|BitsName --------|-------- ADVS_DCDC | EN_LIMITER

Definition at line 178 of file gr533x_ll_advs.h.

## ◆ ll_advs_dcdc_vtbias_ctrl_lower_limit_get()

__STATIC_INLINE uint8_t ll_advs_dcdc_vtbias_ctrl_lower_limit_get | ( | void |  | ) |

The ADVS_DCDC's lower limit for the output voltage get.

Register|BitsName --------|-------- ADVS_DCDC | VTBIAS_CTRL_VT_2_0

Definition at line 238 of file gr533x_ll_advs.h.

## ◆ ll_advs_dcdc_vtbias_ctrl_lower_limit_set()

__STATIC_INLINE void ll_advs_dcdc_vtbias_ctrl_lower_limit_set | ( | uint8_t | limit | ) |

The ADVS_DCDC's lower limit for the output voltage set.

Register|BitsName --------|-------- ADVS_DCDC | VTBIAS_CTRL_VT_2_0

Definition at line 226 of file gr533x_ll_advs.h.

## ◆ ll_advs_dcdc_vtbias_ctrl_vt_get()

__STATIC_INLINE uint8_t ll_advs_dcdc_vtbias_ctrl_vt_get | ( | void |  | ) |

The ADVS_DCDC's default level value of the VT bias get.

Register|BitsName --------|-------- ADVS_DCDC | VTBIAS_CTRL_VT_2_0

Definition at line 214 of file gr533x_ll_advs.h.

## ◆ ll_advs_dcdc_vtbias_ctrl_vt_set()

__STATIC_INLINE void ll_advs_dcdc_vtbias_ctrl_vt_set | ( | uint8_t | vt | ) |

The ADVS_DCDC's default level value of the VT bias set.

Register|BitsName --------|-------- ADVS_DCDC | VTBIAS_CTRL_VT_2_0

Definition at line 202 of file gr533x_ll_advs.h.

## ◆ ll_advs_dcdc_vtbias_enable_get()

__STATIC_INLINE uint8_t ll_advs_dcdc_vtbias_enable_get | ( | void |  | ) |

The ADVS_DCDC vtbias enable get.

Register|BitsName --------|-------- ADVS_DCDC | EN_VTBIAS

Definition at line 118 of file gr533x_ll_advs.h.

## ◆ ll_advs_dcdc_vtbias_enable_set()

__STATIC_INLINE void ll_advs_dcdc_vtbias_enable_set | ( | uint8_t | enable | ) |

The ADVS_DCDC vtbias enable set.

Register|BitsName --------|-------- ADVS_DCDC | EN_VTBIAS

Definition at line 106 of file gr533x_ll_advs.h.

## ◆ ll_advs_dcdc_vtbias_slop_ctrl_get()

__STATIC_INLINE uint8_t ll_advs_dcdc_vtbias_slop_ctrl_get | ( | void |  | ) |

The ADVS_DCDC's Slop Control type get.

Register|BitsName --------|-------- ADVS_DCDC | VTBIAS_SLOPE_CTRL

Definition at line 166 of file gr533x_ll_advs.h.

## ◆ ll_advs_dcdc_vtbias_slop_ctrl_set()

__STATIC_INLINE void ll_advs_dcdc_vtbias_slop_ctrl_set | ( | uint8_t | type | ) |

The ADVS_DCDC's Slop Control type set.

Register|BitsName --------|-------- ADVS_DCDC | VTBIAS_SLOPE_CTRL

Definition at line 154 of file gr533x_ll_advs.h.

## ◆ ll_advs_digcore_blk_enable_get()

__STATIC_INLINE uint8_t ll_advs_digcore_blk_enable_get | ( | void |  | ) |

The ADVS_DIGCORE blk enable get.

Register|BitsName --------|-------- ADVS_DIGCORE | EN_BLK

Definition at line 334 of file gr533x_ll_advs.h.

## ◆ ll_advs_digcore_blk_enable_set()

__STATIC_INLINE void ll_advs_digcore_blk_enable_set | ( | uint8_t | enable | ) |

The ADVS_DIGCORE blk enable set.

Register|BitsName --------|-------- ADVS_DIGCORE | EN_BLK

Definition at line 322 of file gr533x_ll_advs.h.

## ◆ ll_advs_digcore_limiter_enable_get()

__STATIC_INLINE uint8_t ll_advs_digcore_limiter_enable_get | ( | void |  | ) |

The ADVS_DIGCORE's Lower Limit Control enable get.

Register|BitsName --------|-------- ADVS_DIGCORE | EN_LIMITER

Definition at line 382 of file gr533x_ll_advs.h.

## ◆ ll_advs_digcore_limiter_enable_set()

__STATIC_INLINE void ll_advs_digcore_limiter_enable_set | ( | uint8_t | enable | ) |

The ADVS_DIGCORE's Lower Limit Control enable set.

Register|BitsName --------|-------- ADVS_DIGCORE | EN_LIMITER

Definition at line 370 of file gr533x_ll_advs.h.

## ◆ ll_advs_digcore_vtbias_ctrl_lower_limit_get()

__STATIC_INLINE uint8_t ll_advs_digcore_vtbias_ctrl_lower_limit_get | ( | void |  | ) |

The ADVS_DIGCORE's lower limit for the output voltage get.

Register|BitsName --------|-------- ADVS_DIGCORE | VTBIAS_CTRL_VT_2_0

Definition at line 430 of file gr533x_ll_advs.h.

## ◆ ll_advs_digcore_vtbias_ctrl_lower_limit_set()

__STATIC_INLINE void ll_advs_digcore_vtbias_ctrl_lower_limit_set | ( | uint8_t | limit | ) |

The ADVS_DIGCORE's lower limit for the output voltage set.

Register|BitsName --------|-------- ADVS_DIGCORE | VTBIAS_CTRL_VT_2_0

Definition at line 418 of file gr533x_ll_advs.h.

## ◆ ll_advs_digcore_vtbias_ctrl_vt_get()

__STATIC_INLINE uint8_t ll_advs_digcore_vtbias_ctrl_vt_get | ( | void |  | ) |

The ADVS_DIGCORE's default level value of the VT bias get.

Register|BitsName --------|-------- ADVS_DIGCORE | VTBIAS_CTRL_VT_2_0

Definition at line 406 of file gr533x_ll_advs.h.

## ◆ ll_advs_digcore_vtbias_ctrl_vt_set()

__STATIC_INLINE void ll_advs_digcore_vtbias_ctrl_vt_set | ( | uint8_t | vt | ) |

The ADVS_DIGCORE's default level value of the VT bias set.

Register|BitsName --------|-------- ADVS_DIGCORE | VTBIAS_CTRL_VT_2_0

Definition at line 394 of file gr533x_ll_advs.h.

## ◆ ll_advs_digcore_vtbias_enable_get()

__STATIC_INLINE uint8_t ll_advs_digcore_vtbias_enable_get | ( | void |  | ) |

The ADVS_DIGCORE vtbias enable get.

Register|BitsName --------|-------- ADVS_DIGCORE | EN_VTBIAS

Definition at line 310 of file gr533x_ll_advs.h.

## ◆ ll_advs_digcore_vtbias_enable_set()

__STATIC_INLINE void ll_advs_digcore_vtbias_enable_set | ( | uint8_t | enable | ) |

The ADVS_DIGCORE vtbias enable set.

Register|BitsName --------|-------- ADVS_DIGCORE | EN_VTBIAS

Definition at line 298 of file gr533x_ll_advs.h.

## ◆ ll_advs_digcore_vtbias_slop_ctrl_get()

__STATIC_INLINE uint8_t ll_advs_digcore_vtbias_slop_ctrl_get | ( | void |  | ) |

The ADVS_DIGCORE's Slop Control type get.

Register|BitsName --------|-------- ADVS_DIGCORE | VTBIAS_SLOPE_CTRL

Definition at line 358 of file gr533x_ll_advs.h.

## ◆ ll_advs_digcore_vtbias_slop_ctrl_set()

__STATIC_INLINE void ll_advs_digcore_vtbias_slop_ctrl_set | ( | uint8_t | type | ) |

The ADVS_DIGCORE's Slop Control type set.

Register|BitsName --------|-------- ADVS_DIGCORE | VTBIAS_SLOPE_CTRL

Definition at line 346 of file gr533x_ll_advs.h.

## ◆ ll_advs_lpd_vtbias_ctrl_vt_get()

__STATIC_INLINE uint8_t ll_advs_lpd_vtbias_ctrl_vt_get | ( | void |  | ) |

The ADVS_LPD's default level value of the VT bias get.

Register|BitsName --------|-------- ADVS_LPD | VTBIAS_CTRL_VT

Definition at line 286 of file gr533x_ll_advs.h.

## ◆ ll_advs_lpd_vtbias_ctrl_vt_set()

__STATIC_INLINE void ll_advs_lpd_vtbias_ctrl_vt_set | ( | uint8_t | vt | ) |

The ADVS_LPD's default level value of the VT bias set.

Register|BitsName --------|-------- ADVS_LPD | VTBIAS_CTRL_VT

Definition at line 274 of file gr533x_ll_advs.h.

## ◆ ll_advs_lpd_vtbias_enable_get()

__STATIC_INLINE uint8_t ll_advs_lpd_vtbias_enable_get | ( | void |  | ) |

The ADVS_LPD vtbias enable get.

Register|BitsName --------|-------- ADVS_LPD | EN_VTBIAS

Definition at line 262 of file gr533x_ll_advs.h.

## ◆ ll_advs_lpd_vtbias_enable_set()

__STATIC_INLINE void ll_advs_lpd_vtbias_enable_set | ( | uint8_t | enable | ) |

The ADVS_LPD vtbias enable set.

Register|BitsName --------|-------- ADVS_LPD | EN_VTBIAS

Definition at line 250 of file gr533x_ll_advs.h.